from time import time_ns
from typing import List
from uuid import UUID
from pydantic import BaseModel, Field

from . import cpu, memory, disk, network

class Stats(BaseModel):
    domain:UUID
    cpu:cpu.CPU
    memory:memory.Memory
    network:List[network.Interface]
    disk:List[disk.Disk]