from pydantic import BaseModel, ConfigDict, Field
from time import time_ns

class CPU(BaseModel):
    model_config = ConfigDict()
    time:int = Field(default_factory=time_ns)
    user:int = Field()
    system:int = Field()
    count:int = Field()